glossary <- function(){
  cat("\nGLOSSARY")
  cat("\n--------\n")
  cat("\nSummary of Analysis Details\n")
  cat("~~~~~~~~~~~~~~~~~~~~~~~~~~~\n")
  cat("\nBootstrap resample   : whether or not the data were non-parametrically resampled.")
  cat("\nParametric resampling: refers to the resampling of the covariates.")
  cat("\nNumber of resamples  : how many times the data were resampled.")
  cat("\nUnidentified species codes: refer to codes which describe sightings which ")
  cat("\n                       may have belonged to one of a number of species.")
  cat("\nModel uncertainty    : describes the situation when multiple models are provided")
  cat("\n                       for at least one species code. The model with the minimum criteria")
  cat("\n                       is selected on each bootstrap iteration.")
  cat("\nClusters             : whether the observations describe sightings of clusters rather than individuals.")
  cat("\nDouble observer      : whether the supplied analyses are double observer.\n")
  cat("\nSpecies Results\n")
  cat("~~~~~~~~~~~~~~~\n")
  cat("\nModel Selection    : details how often the models converged and were selected.")
  cat("\nParameter estimates: Estimate is the mean of the estimates from the bootstrap.")
  cat("\n                     se is the standard deviation of the estimates from the bootstrap.")
  cat("\ndsmodel            : distance sampling model for the detection function.")
  cat("\nmrmodel            : mark recapture model.\n")
  cat("\nSummary Statistics...")
  cat("\n   n    : mean number of observed objects across bootstrap resamples.")
  cat("\n   k    : mean number of samples across bootstrap resamples.")
  cat("\n   ER   : mean encounter rate across bootstrap resamples.") 
  cat("\n   se.ER: standard deviation of the encounter rates across bootstrap resamples.") 
  cat("\n   cv.ER: coefficient of variation of encounter rate (se.ER/ER).\n")   
  cat("\nDensity (D) / Abundance (N) Summaries...")
  cat("\n   Estimate    : mean of the bootstrap estimates.")
  cat("\n   se          : standard deviation of the bootstrap estimates.")
  cat("\n   cv          : coefficient of variation (se/Estimate).")
  cat("\n   lcl         : 2.5 percentile of bootstrap estimates.")
  cat("\n   ucl         : 97.5 percentile of bootstrap estimates.")
  cat("\n   df          : mean degrees of freedom, note this is only for the model fitted to the identified species code.")
  cat("\n   pctUnid     : mean percent of estimate abundance attributed to unidentified sightings.")
  cat("\n   pctUnid.se  : standard deviation of estimates of pctUnid across boostrap estimates.")
  cat("\n   pctUnid.cv  : coefficient of variation (pctUnid.se/pctUnid).")
  cat("\n   pctUnid.lcl : 2.5 percentile of bootstrap estimates of pctUnid.")
  cat("\n   pctUnid.ucl : 97.5 percentile of bootstrap estimates of pctUnid.\n")
  cat("\nExpected cluster size...")
  cat("\n   Expected.S       : mean of estimates of expected cluster size considering only the identified sightings.")
  cat("\n   se.Expected.S    : standard deviation of estimates of expected cluster size considering only the identified sightings.") 
  cat("\n   pro.Expected.S   : mean of estimates of expected cluster size obtained afer prorating by dividing the estimated abundance\n                      of individuals by the estimated abundance of clusters.")
  cat("\n   pro.se.Expected.S: standard deviation of bootstrap estimates of pro.Expected.S.\n")
  cat("\nUnidentified Model Summaries\n")
  cat("~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n")
  cat("\nSummary of models for the unidentified sightings codes.")
  cat("\n(same as those included for the species codes in the previous section.\n")  
}

